<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>istlab.KisoJikkenNWP</groupId>
  <artifactId>KisoJikkenNWP</artifactId>
  <packaging>jar</packaging>
  <version>1.0-SNAPSHOT</version>
  <name>KisoJikkenNWP</name>
  <url>http://maven.apache.org</url>

  <properties>
    <jdk.version>11</jdk.version>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <project.build.targetEncoding>UTF-8</project.build.targetEncoding>
    <maven.compiler.source>11</maven.compiler.source>
    <maven.compiler.target>11</maven.compiler.target>
  </properties>

  <!-- <repositories>
    <repository>
      <id>nuxeo</id>
      <name>nuxeo</name>
      <url>https://maven-eu.nuxeo.org/nexus/content/repositories/public-releases/</url>
    </repository>
    <repository>
      <id>redhat GA</id>
      <name>redhat GA</name>
      <url>https://maven.repository.redhat.com/ga/</url>
    </repository>
  </repositories> -->


  <dependencies>
    <dependency>
      <groupId>com.fifesoft</groupId>
      <artifactId>autocomplete</artifactId>
      <version>3.2.0</version>
    </dependency>
    <!-- <dependency>
      <groupId>com.googlecode.lanterna</groupId>
      <artifactId>lanterna</artifactId>
      <version>3.1.1</version>
  </dependency> -->
    <!-- <dependency>
      <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <version>3.8.1</version>
      <scope>test</scope>
    </dependency> -->
  </dependencies>

  <build>
    <resources>
      <resource>
        <directory>src/main/res</directory>
      </resource>
    </resources>
    <plugins>
      <plugin>
        <groupId>org.codehaus.mojo</groupId>
        <artifactId>exec-maven-plugin</artifactId>
        <version>3.0.0</version>
        <configuration>
          <mainClass>istlab.KisoJikken.App</mainClass>
          <!-- <additionalClasspathElements>
            <additionalClasspathElement>${pom.basedir}/jar/piccolo2d-core-3.1-SNAPSHOT.jar</additionalClasspathElement>
            <additionalClasspathElement>${pom.basedir}/jar/piccolo2d-examples-3.1-SNAPSHOT.jar</additionalClasspathElement>
            <additionalClasspathElement>${pom.basedir}/jar/piccolo2d-extras-3.1-SNAPSHOT.jar</additionalClasspathElement>
          </additionalClasspathElements> -->
        </configuration>
      </plugin>

      <plugin>
        <artifactId>maven-assembly-plugin</artifactId>
        <configuration>

          <!-- 成果物の名前にassemblyがidを振ってしまうのを無効にする -->
          <!-- <appendAssemblyId>false</appendAssemblyId> -->
          <!-- <descriptors>
             include/excludeなどの設定は外部ファイルに記述する 
            <descriptor>assembly.xml</descriptor>
          </descriptors> -->
          <descriptorRefs>
            <descriptorRef>jar-with-dependencies</descriptorRef>
          </descriptorRefs>

          <archive>
            <manifest>
              <mainClass>istlab.KisoJikken.App</mainClass>
            </manifest>
            <manifestEntries>
              <Permissions>all-permissions</Permissions>
              <Class-Path>.</Class-Path>
            </manifestEntries>
          </archive>
          <!-- <descriptorRefs>
            <descriptorRef>jar-with-dependencies</descriptorRef> 
            <descriptorRef>bin</descriptorRef>
          </descriptorRefs> -->


        </configuration>
      </plugin>
    </plugins>
  </build>
</project>